
Foreman - Feature #24259

Foreman canned admin

07/16/2018 09:42 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link: 1670173 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5841,

https://github.com/theforeman/foreman/p

ull/6105,

https://github.com/theforeman/foreman/p

ull/6117,

https://github.com/theforeman/foreman/p

ull/6384,

https://github.com/theforeman/foreman/p

ull/6385,

https://github.com/theforeman/foreman/p

ull/6386

  

Description

It was requested that we ship a new default role - Canned admin. This role is supposed to create new organizations without access

to entities within those organizations and manage system wide settings.

Related issues:

Related to Katello - Feature #24268: Add permissions to Canned admin Closed

Related to Foreman - Feature #19342: Allow non-admin user to assign roles the... Duplicate

Has duplicate Katello - Bug #25105: /api/settings/content_disconnected gives ... Closed

Associated revisions

Revision 2db78de0 - 10/03/2018 09:09 AM - Ondřej Pražák

Fixes #24259 - Add canned admin role

Revision 9854c2b7 - 10/04/2018 02:26 PM - Ondřej Pražák

Refs #24259 - Fix failing test on mysql

Revision 399b027b - 10/07/2018 06:34 PM - Michael Moll 

Refs #24259 - Raise Metrics/MethodLength for Rubocop to pass

History

#1 - 07/16/2018 09:47 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5841 added

#2 - 07/17/2018 06:52 AM - Ondřej Pražák

- Related to Feature #24268: Add permissions to Canned admin added

#3 - 09/05/2018 07:19 AM - Marek Hulán

- Related to Feature #19342: Allow non-admin user to assign roles they don't have to another user added

#4 - 10/03/2018 09:10 AM - Marek Hulán
- Category set to Users, Roles and Permissions

- Fixed in Releases 1.20.0 added

#5 - 10/03/2018 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset 2db78de0f7a72228eed9f644c975d9b4ec8b70b8.

#6 - 10/04/2018 08:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6105 added

#7 - 10/07/2018 04:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6117 added

#8 - 10/10/2018 06:30 PM - Zach Huntington-Meath

- Has duplicate Bug #25105: /api/settings/content_disconnected gives 403 without pointing out which permission is required added

#9 - 01/07/2019 10:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6384 added

#10 - 01/08/2019 01:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6385 added

#11 - 01/08/2019 01:28 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6386 added

#12 - 01/28/2019 08:53 PM - Bryan Kearney

- Bugzilla link set to 1670173
